Ecosystems
Create an Ecosystem
/v1/ecosystemsAuthorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems" \ -H "Content-Type: application/json" \ -d '{ "name": "My Ecosystem" }'{
"id": "87880d7e-a4d0-462e-8383-3f1e5e16865d",
"name": "My Ecosystem",
"integrations": [
{
"format": "MATTR",
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy",
"enabled": true,
"integrationResult": {
"success": true,
"lastSyncedAt": "2024-09-10T02:28:36.550Z",
"lastModifiedAt": "2024-08-10T02:28:36.550Z",
"failReasons": [
{
"type": "UnknownVerificationError",
"message": "Unknown verification error occurred"
}
]
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Sync Ecosystems
/v1/ecosystems/syncAuthorization
bearerAuth In: header
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/sync"{
"tenantConfiguration": {
"ecosystems": [
{
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe"
}
]
},
"integrations": [
{
"format": "MATTR",
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy",
"enabled": true
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve all Ecosystems
/v1/ecosystemsAuthorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems"{
"data": [
{
"id": "87880d7e-a4d0-462e-8383-3f1e5e16865d",
"name": "My Ecosystem",
"integrations": [
{
"format": "MATTR",
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy",
"enabled": true,
"integrationResult": {
"success": true,
"lastSyncedAt": "2024-09-10T02:28:36.550Z",
"lastModifiedAt": "2024-08-10T02:28:36.550Z",
"failReasons": [
{
"type": "UnknownVerificationError",
"message": "Unknown verification error occurred"
}
]
}
}
]
}
],
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve a Ecosystem
/v1/ecosystems/{ecosystemId}Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d"{
"id": "87880d7e-a4d0-462e-8383-3f1e5e16865d",
"name": "My Ecosystem",
"integrations": [
{
"format": "MATTR",
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy",
"enabled": true,
"integrationResult": {
"success": true,
"lastSyncedAt": "2024-09-10T02:28:36.550Z",
"lastModifiedAt": "2024-08-10T02:28:36.550Z",
"failReasons": [
{
"type": "UnknownVerificationError",
"message": "Unknown verification error occurred"
}
]
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Update a Ecosystem
/v1/ecosystems/{ecosystemId}Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "87880d7e-a4d0-462e-8383-3f1e5e16865d",
"name": "My Ecosystem",
"integrations": [
{
"format": "MATTR",
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy",
"enabled": true,
"integrationResult": {
"success": true,
"lastSyncedAt": "2024-09-10T02:28:36.550Z",
"lastModifiedAt": "2024-08-10T02:28:36.550Z",
"failReasons": [
{
"type": "UnknownVerificationError",
"message": "Unknown verification error occurred"
}
]
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Delete a Ecosystem
/v1/ecosystems/{ecosystemId}Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Last updated on